Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_ODB::Tuple Struct Reference

Collaboration diagram for ACE_ODB::Tuple:

[legend]
List of all members.

## Public Member Functions
| Tuple (void)
## Public Attributes
const void * | this_
| Pointer to the object that is registered.
const ACE_Dumpable_Ptr | dumper_

## Constructor & Destructor Documentation

ACE_ODB::Tuple::Tuple | ( | void |  | ) | `[inline]`

## Member Data Documentation

const ACE_Dumpable_Ptr ACE_ODB::Tuple::dumper_

| Smart pointer to the ACE_Dumpable object associated with this_. This uses an ACE_Dumpable_Ptr, instead of a bare pointer, to cope with hierarchies of dumpable classes. In such cases we typically want only one dump, corresponding to the most derived instance. To achieve this, the handle registered for the subobject corresponding to the base class is destroyed (hence on destruction of the subobject its handle won't exist anymore and we'll have to check for that).

const void* ACE_ODB::Tuple::this_

| Pointer to the object that is registered.

The documentation for this struct was generated from the following file:

- Dump.h